<!--
This is a minimal configuration file cc_config.xml of the BOINC core client.
For a complete list of all available options and logging flags and their
meaning see: https://boinc.berkeley.edu/wiki/client_configuration

{{ ansible_managed }}

-->
<cc_config>
  <log_flags>
    <task>1</task>
    <file_xfer>1</file_xfer>
    <sched_ops>1</sched_ops>
  </log_flags>
  <options>
    <lower_client_priority>1</lower_client_priority>
    <no_gpus>0</no_gpus>
    <vbox_window>0</vbox_window>
{% if boinc_version | int >= 716 %}
    <ignore_tty>/dev/input</ignore_tty>
    <ignore_tty>/dev/input/mice</ignore_tty>
{% endif %}
{% if boinc_proxy_url != '' %}
    <proxy_info>
        <http_server_name>{{ boinc_proxy_url }}</http_server_name>
        <http_server_port>{{ boinc_proxy_port | int }}</http_server_port>
{%  if boinc_proxy_user != '' %}
        <http_user_name>{{ boinc_proxy_user }}</http_user_name>
{%  endif %}
{%  if boinc_proxy_password != '' %}
        <http_user_passwd>{{ boinc_proxy_password }}</http_user_passwd>
{%  endif %}
{% for addr in boinc_proxy_exclude_addrs %}
        <no_proxy>{{ addr }}</no_proxy>
{% endfor %}
{#
        [ <socks_version>5</socks_version> ]
        [ <socks_server_name></socks_server_name> ]
        [ <socks_server_port>80</socks_server_port> ]
        [ <socks5_user_name></socks5_user_name> ]
        [ <socks5_user_passwd></socks5_user_passwd> ]
        [ <socks5_remote_dns>0|1</socks5_remote_dns> ] *
        [ <no_autodetect>0|1</no_autodetect> ] *
#}
    </proxy_info>
{% endif %}
  </options>
</cc_config>
